**Change keyboard layout in console (Debian)**

    dpkg-reconfigure keyboard-configuration
    service keyboard-setup restart

Source: <https://wiki.debian.org/Keyboard>

- - -

**Check/Open SSL connection (command line)**

    echo | openssl s_client -connect $HOST:$PORT -servername $SNI

- - -

**Resize an ext partition in LVM**

    lvresize -L+20G vg/lv
    resize2fs /dev/mapper/vg-lv

- - -

**Useful grep options**

    -l  --files-with-matches
    -o  --only-matching
    -H  --with-filename

- - -

**Handling NUL-separated strings**

* `grep`: `-z` for input, `-Z` for output
* `find`: `-print0` for output
* `sort`: `-z` for both input and output
* `awk`: `BEGIN { RS="\0" }` for input, `BEGIN { ORS="\0" }` for output

- - -

**Start tmux with programs in windows**

    #!/bin/bash

    SESS=$$

    CMD[1]='top'
    CMD[2]='watch -n 1 cat /proc/mdstat'
    CMD[3]='while sleep 5; do date | tee -a ps; ps aux | tee -a ps; done'
        
    tmux new-session -s $SESS -n window0 -d bash

    for N in $(seq ${#CMD[*]}); do
        echo "Running command $N: ${CMD[$N]}"
        tmux new-window -t $SESS:$N -n windows$N "${CMD[$N]}"
    done
    echo "Done. press enter to attach tmux..."
    read

    tmux select-window -t $SESS:0
    tmux attach

- - -

**Window reorganization**

* vim: `C-W H/J/K/L`
* tmux: `C-B space`

- - -

**Online markdown editor**

<https://stackedit.io/editor>

- - -

**Copy from buffer in tmux**

<https://awhan.wordpress.com/2010/06/20/copy-paste-in-tmux/>

- - -

**find excluding some directories**

Find and print all files in cwd except those in directory `.git` and those matching filename `.meta.*`:

find . -type f \( \( -path './.git/\*' -o -name '.meta.\*' \) -prune -o -print \)

- - -

**Other cheatsheets**

* Markdown: <http://packetlife.net/media/library/16/Markdown.pdf>
* Unix Toolbox: <http://cb.vu/unixtoolbox.xhtml>
